package com.yonge.cooleshow.biz.dal.dto;


import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class ImGroupSearchDto {
    @ApiModelProperty(value = "群类型 FAN 粉丝群,COURSE 课程群")
    private String type = "FAN";

    @ApiModelProperty(value = "根据群名称、编号、简介模糊查询")
    private String search;

    @ApiModelProperty(value = "群成员")
    private Long userId;

    @NotNull(message = "请指定群管理员")
    @ApiModelProperty(value = "创建人(群创建者)")
    private Long createUserId;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(Long createUserId) {
        this.createUserId = createUserId;
    }

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }
}

